# Real Time Communication (RTC) API

RTC API is used to send push notification to the mobile app. As an example, when the payment request is successful, the receiver or merchant will receive a notification stated that the transaction was successful. It also can be used for many other purposed as stated in this API.

RTC API data is structured in JSON format as per below

```java
{
    "cmd": "some_command_string", // this will be always a string
    "data": "data", // this will be always a string
    "data_var": {
        "example_data_1": 1,
        "example_data_2": "string_type"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vendex.app/developer/real-time-communication-rtc-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
